> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenlab.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# 파일 삭제

> 배치 파일, 이미지/참조 파일 바인딩 또는 Anthropic 모드 파일을 삭제합니다.

## 개요

`/v1/files`로 만든 파일을 삭제합니다. Anthropic 헤더가 없으면 TokenLab 배치 파일 또는 바인딩된 이미지/참조 파일 바인딩을 삭제합니다. `anthropic-beta: files-api-2025-04-14`가 있으면 바인딩된 워크스페이스에서 Anthropic Files API 모드를 사용합니다.

## 참고

* 배치 파일 삭제는 저장된 배치 파일 기록을 제거하고 이후 배치 작업에서 해당 파일 ID를 사용할 수 없게 합니다.
* 이미지/참조 파일 삭제는 선택된 제공업체에 파일 삭제를 요청한 뒤, 제공업체가 수락하면 TokenLab 파일 바인딩을 제거합니다.
* Anthropic Files API 모드는 업로드 및 조회에 사용한 것과 같은 Anthropic 네이티브 헤더가 필요합니다.

## 예시

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.tokenlab.sh/v1/files/file_abc123" \
    -H "Authorization: Bearer sk-your-api-key"
  ```
</RequestExample>

## 요청 / 응답

정확한 schema는 위의 대화형 OpenAPI 패널을 사용하세요.

## 응답 예시

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": "file_abc123",
    "object": "file",
    "deleted": true
  }
  ```
</ResponseExample>

## 중요 필드

<ResponseField name="id" type="string">삭제된 파일 식별자입니다.</ResponseField>
<ResponseField name="deleted" type="boolean">삭제 요청 성공 여부입니다.</ResponseField>
